/*
 * HTML5 Boilerplate
 *
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 *
 * Note from Jamie - for explanations about anything in Part (1), see normalize.css
 */

@charset "UTF-8";

/* Table of Contents
---------------------------------------
1) Global Settings
    - Normalize.css - minimized and without comments
    - HTML5 Boilerplate recommended settings


2) Fonts & Typography
    - Custom fonts and general typography settings.

3) Layout and Global Classes
    - Global Classes

4) The Site
    - Layout & Content styling

5) Internet Explorer
    - Various Internet Explorer fixes.

6) Media Queries
    - Screen resizing

7) Aides
    - Various aides, mostly clearfix and ir. 

---------------------------------------
*/

/** 3) Global Classes 
---------------------------------------
    - Custom global classes for current project

    Color Schemes - twilight_bonsai 
    http://www.colorschemer.com/schemes/viewscheme.php?id=8816
        - Dark blue = #002F2F
        - Light blue = #065858
        - Green = #468966
        - Burgandy = #9C1C20
        - Red = #B9121B
        - Brown gray = #A7A37E
        - Beige = #E6E2AF
        - Greyish = #D8CAA8
        - Light gray = #E8E7DD
        - Off white = #F1F1F1
        - Fav BG color background-color:#EBEBEB;
*/

/* ######################################################################### */

 /* 1-A) Global Settings
---------------------------------------
    - normalize.css v2.1.0 | MIT License | git.io/normalize
    - for more information, see normalize.css
*/

/** Jamie's Modernizr */


/* Pawel's reset 
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video { border: 0; font-size: 100%; font: inherit; margin: 0; padding: 0; vertical-align: baseline; }
/* HTML5 display-role reset for older browsers 

article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section { display: block; }
body { line-height: 1; }
ol, ul { list-style: none; }
blockquote, q { quotes: none; }
blockquote:before, blockquote:after,
q:before, q:after { content: ''; content: none; }
table { border-collapse: collapse; border-spacing: 0; }

*/
/** 2) Fonts & Typography 
---------------------------------------
    - Custom fonts and general typography settings.
*/



/** 1-B) Global Settings
---------------------------------------
    - HTML5 Boilerplate recommended settings

*/
/*
html{ position:relative; font-size:14px;}
html,body{ min-height:100%; }
html, button, input, select, textarea { color: #222; }
body { font-family: 'Optima', sans-serif; overflow-y:scroll; background-color:#fff; }
::-moz-selection { background: #b3d4fc; text-shadow: none; }
::selection { background: #b3d4fc; text-shadow: none; } 
hr { display: block; height: 1px; border: 0; border-top: 1px solid #ccc; margin: 1em 0; padding: 0; }
img { vertical-align: middle; } 
textarea { resize: vertical; padding: 10px; border:1px solid #ddd; min-height:50px;} 
input { padding:10px; border:1px solid #ddd; }
li { list-style: none; padding:0px; margin:0px; }
ul,ol { padding:0px; margin:0px; }
a { text-decoration:none; color:#000; }
h1,h2,h3,h4,h5,h6{ margin: 0px; padding:0px; }
pre { margin:0px; }
button { cursor:pointer; }

*/

/* inline-styling wrappers */

.overflow { overflow:auto; }
.float-left { float:left; }
.float-right { float:right; }
.relative { position:relative; }
.padded { padding:5px; }
.margin { margin:10px; }
.side-padding { padding:0px 5px; }
.vert-padding { padding:5px 0px; }
.top-padding { padding-top:5px; }
.vert-margin { margin:10px 0px; }
.side-margin { margin:0px 10px; }
.top-margin { margin-top:10px; }
.border-top { border-top: 1px solid #eee; }
.med-width { width:50%; }
.button { padding:5px 15px; border:1px solid #ddd; cursor:pointer; }
.row-divider { margin:20px 10px; border:1px solid #ddd; }
.italic { font-style:italic; }
.normal { font-weight:normal; }
.bold { font-weight:bold; }
.top-right { position:absolute; top:0px; right:0px; }
.bottom-right { position:absolute; bottom:0px; right:0px; }
.top-left { position:absolute; top:0px; left:0px; }
.bottom-left { position:absolute; bottom:0px; left:0px; }
.no-overflow { overflow:hidden; }
.error { color:red; }
.pointer { cursor:pointer; }
.no-border { border:0px!important; }
.border { border:1px solid #ddd; }

.facebook { color:#45619D; }
.twitter { color:#8EC1DA; }
.bitbucket { color:#205081; }

.theme-bg,.bg-left-col { background-color:#065858 !important; color:#fff !important; }
.theme-font { color: #065858;}
.bg-white { background-color:#fff; }
.font-white { color:#fff; }
.note { font-size:80%; font-style:italic;}
.long-textarea { min-height:300px; }

/** 4) The Site 
---------------------------------------
    - Content styling
*/

/* ============== Custom Styles - Global =============== */

/* layouts */
.contain-all { margin:0px auto; width:920px; }
.left-col { width:200px; float:left; }
.center-col { width:580px; float:left; }
.right-col { width:120px; float:left; }
.big-left-col { width:780px; float:left; }

.button { background-color:#065858; color:#fff; cursor:pointer; }
.button.dark { background-color:#4b4b4b; color:#fff; cursor:pointer; }
.button.light { background-color:#f0f0f0; color:#000; cursor:pointer; }
.button.wywiwyg { background-color:#979595; color:#fff; cursor:pointer; }
.active { background-color:#065858; color:#fff; }
.theme-cb + label { padding:5px 10px; border:1px solid #ddd; cursor:pointer; }
.theme-cb:checked + label { background-color:#065858; color:#fff; border:1px solid #065858;}

.main-header { border-bottom: 1px solid #4B4B4B; position: relative; margin: 35px 0px; height: 67px; }
.kc-logo { background-image: url("/images/bckgd/bckgd-img-opt.png"); background-repeat: no-repeat; background-position: 0 0; top: 0px; left:0px; height: 69px; overflow: hidden; position: absolute; width: 225px; }
.kc-logo-title { font-size: 23px; position: absolute; top: 5px; right: 5px; }

/* ============== Items appearing on multiple pages =============== */

.tag { margin:5px 5px;  display:inline-block; }
.tag:first-child { margin-left:0px; }
.tag__title { background-color:#4B4B4B; padding: 5px 10px; color:#fff; }
.tag__close { background-color:#065858; color:#fff; padding:5px 5px; border-left:1px solid #aaa; cursor:pointer; }

.wysihtml5-command-active { background-color:#065858 !important; color:#fff !important;}
.wysihtml5-textarea { height:200px; padding:10px 10px 10px 10px; overflow:scroll; }

/* ============== Popup =============== */

.coverall { position:fixed; top:0px; right:0px; width:100%; height:100%; background-color:#aaa; opacity:0.8; z-index:12000;}

.popup { position:fixed; top:100px; left:50%; margin-left: -150px; min-width:100px; border:1px solid #aaa; z-index:13000; background-color:#fff; }
.popup.alert { width:400px; }
.popup.carousel {  top:50px; }
.popup .create { width:400px; }
.popup--input.full { width:300px; margin:5px 10px; }


/* ---------------------------------------------- */


/** 5) Internet Explorer
---------------------------------------
    - Various Internet Explorer Fixes
*/

/**
*
*
*
*/

/** 6) Media Queries 
---------------------------------------
    - Screen resizing
*/
@media only screen and (max-width: 700px){ 
}
@media only screen and (max-width: 1100px) { 
}

@media only screen and (max-width: 1250px ){

}
@media only screen and (min-width: 1250px){

}

@media print, (-o-min-device-pixel-ratio: 5/4), (-webkit-min-device-pixel-ratio: 1.25), (min-resolution: 120dpi) { 
/* Style adjustments for high resolution devices */ 
}

@media print {
    * { background: transparent !important; color: #000 !important; /* Black prints faster: h5bp.com/s */ box-shadow: none !important; text-shadow: none !important; }
    a, a:visited { text-decoration: underline; }
    a[href]:after { content: " (" attr(href) ")"; }
    abbr[title]:after { content: " (" attr(title) ")"; }
    .ir a:after, a[href^="javascript:"]:after, a[href^="#"]:after { content: ""; } /* Don't show links for images, or javascript/internal links */
    pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
    thead { display: table-header-group; /* h5bp.com/t */ }
    tr, img { page-break-inside: avoid; }
    img { max-width: 100% !important; }
    @page { margin: 0.5cm; }
    p, h2, h3 { orphans: 3; widows: 3; }
    h2, h3 { page-break-after: avoid; }
}

/* 7) Aides 
---------------------------------------
    - Various aides, mostly clearfix and ir.

.ir { background-color: transparent; border: 0; color: transparent; font: 0/0 a; text-shadow: none; }
.hidden { display: none !important; visibility: hidden; }
.visuallyhidden { border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; width: 1px; }
.visuallyhidden.focusable:active, .visuallyhidden.focusable:focus { clip: auto; height: auto; margin: 0; overflow: visible; position: static; width: auto; }
.invisible { visibility: hidden; }
.clearfix:before, .clearfix:after { content: ""; display: table; }
.clearfix:after { clear: both; }
.ie7 .clearfix { zoom: 1; }
*/ 